import * as toolPluginBase from '../../toolbar_plus/js/toolbar_plus/tool-plugin-base.js';

(($, Drupal, once, displace) => {

  /**
   * Edit+'s Toolbar+ plugin
   */
  class EditPlusPlugin extends toolPluginBase.ToolPluginBase {
    id = 'edit_plus';
    enable = () => {
      super.enable();
      return Drupal.EditPlus.EnableEditMode();
    }
    disable = async () => {
      return Drupal.EditPlus.DisableEditMode();
    }
  }
  Drupal.ToolbarPlus.PluginManager.registerPlugin(new EditPlusPlugin());

})(jQuery, Drupal, once, Drupal.displace);
